Saltar al contenido principal
PUT
/
v1
/
production
/
plans
/
{planReference}
Update the existing plan
curl --request PUT \
  --url https://api.bold-factory.com/v1/production/plans/{planReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operations": [
    {
      "operationId": "<string>",
      "locked": true,
      "resourceRequirements": [
        {
          "id": "<string>",
          "selectedResourceId": "<string>"
        }
      ],
      "startsAt": "2023-11-07T05:31:56Z",
      "earliestPossibleStart": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

planReference
string
requerido

Cuerpo

application/json
operations
object[]
requerido

Respuesta

No Content